/* --- ESTILOS DEL HEADER Y EL FOOTER */
@import url("../../../GlobalElements/HeaderFooter/css/stylesHeaderFooter.css");
@import url("../../../GlobalElements/Sponsors/css/styles_sponsors.css");
/* ---------------------------------------------------------------- */

/* Estilos generales */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Nunito', 'Roboto', sans-serif;
    overflow-x: hidden;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
    color: #000;
}

.btn-return {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding-left: 2.4rem;
}

.return {
    background-color: #736B02;
    color: #ffffff;
    border-radius: 5px;
    margin: 2rem 0;
    padding: .6rem 2rem;
    text-decoration: none;
    transition: .2s all ease-in-out;
}

.return:hover {
    background-color: #575101;
    transition: .2s all ease-in-out;
}

.line {
    border-bottom: 2px solid #736B02; 
}

.wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column; 
    background-color: #F4F4F4;
}

.flies_title {
    font-size: 3rem;
    margin-top: 2rem;
    margin-bottom: 3rem;
    text-align: center;
}
 
.container-wrapper {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    flex-direction: row;
}
 
main {
    width: 80%;
    height: 100%;
    margin-bottom: 6rem;
}
 
main .main-container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
}

.flies-step {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.flies-step .container {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 0;
}

.figure-category-img {
    opacity: 1;
    transition: .2s all ease-in-out;
}

.figure-category-img:hover {
    opacity: 0.8;
    transition: .2s all ease-in-out;
    cursor: pointer;
}

.fly-group {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.fly-title {
    margin-bottom: 3rem;
    font-family: 'Nunito', 'Roboto', sans-serif;
    font-size: 1.8rem;
    font-weight: 400;
    text-decoration: underline;
}

.container-fly {
    width: 90%;
    margin-top: 2rem;
    position: relative;
}

.fly-viewport {
    width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding-top: 1rem;
    position: relative;
    padding-bottom: 10px;
}

.fly-row {
    display: flex;
    gap: 20px;
    transition: transform 0.5s ease;
}

.fly-item {
    width: calc(33.33% - 20px);
    max-height: 430px;
    height: 100%;
    flex: 0 0 calc(33.33% - 20px);
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    background: #F2F2F2;
    border-radius: 8px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    transition: transform 0.3s ease;
}

.left, .right {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 3rem;
    background: none;
    border: 0;
    cursor: pointer;
    transition: .2s all ease-in-out;
    color: #000;
}

.left.disabled, .right.disabled {
    color: #ccc;
    cursor: not-allowed;
}

.left {
    left: -50px;
}

.right {
    right: -50px;
}

.fly-item a {
    width: 100%;
}

.fly-item:hover {
    transform: translateY(-5px);
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

.fly-img {
    max-width: 443px;
    min-height: 357px;
    max-height: 357px;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

.fly-details {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex: 1;
}

.fly-title-item {
    font-size: 1.4rem;
    font-weight: 500;
    text-align: center;
}

.fly-description {
    text-align: justify;
    line-height: 30px;
    font-family: 'Roboto';
    font-weight: 300;
    padding: 2rem;
}

/* extended flies */
.titles {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: 2rem;
}

.detailed-fly {
    margin-bottom: 6rem;
}

.detailed-fly .container {
    padding: 2rem;
    max-width: 100%;
    min-width: 100%;
    width: 100%;
    text-align: justify;
}

.extended-fly-content {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: row;
    margin-top: 2rem;
}

.extended-fly-content .description {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    padding: 2rem;
    text-align: justify;
    line-height: 30px;
    font-family: 'Roboto';
    font-weight: 300;
}

.extended-fly-content .details-fly {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
    flex-wrap: nowrap;
    padding: 2rem;
    overflow: hidden;
}

.extended-fly-content .details-fly img {
    width: 400px;
    height: 400px;
    object-fit: cover;
}

.extended-fly-content .description p {
    margin-bottom: 2rem;
    line-height: 2rem;
    font-size: 1.3rem;
}

.extended-fly-content .description span {
    margin-bottom: 2rem;
    line-height: 2rem;
    font-size: 1.2rem;
}

.extended-fly-content .description h3 {
    margin-bottom: 2rem;
    line-height: 2rem;
    font-size: 1.8rem;
}

/* ESTILOS CATEGORIAS */
.fly-category-card {
    max-width: 350px;
    max-height: 350px;
    width: 100%;
    height: 100%;
}

.fly-category-card, .fly-category-img {
    max-width: 350px;
    max-height: 350px;
    width: 100%;
    height: 100%;
    border-radius: 10px;
}

.text-categorie {
    text-align: center;
    margin-top: 1rem;
    font-weight: 600;
}

.flies-step-categories {
    max-width: 1224px;
    width: 100%;
}

.flies-step-categories .container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: center;
    align-items: center;
    padding: 1rem;
    gap: 100px 80px;
}

/* extended flies */
.titles {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: 2rem;
}

.detailed-fly {
    margin-bottom: 6rem;
}

.detailed-fly .container {
    padding: 2rem;
    max-width: 100%;
    min-width: 100%;
    width: 100%;
    text-align: justify;
}

.detailed-fly .container h2 {
    margin-bottom: 2rem;
}

.detailed-fly .container img {
    max-width: 500px;
    width: 100%;
    height: auto;
    -webkit-user-drag: none;
}

.detailed-fly .container p {
    line-height: 30px;
    font-family: 'Nunito';
    font-weight: 400;
}

.titles .files_extended-title {
    text-align: center;
    margin: 0 1rem;
}

@media screen and (max-width: 1444px) {
    .fly-title-item {
        font-size: 1.2rem;
    }
}

@media (max-width: 950px) {
    .fly-row:nth-child(2) {
        display: none;
    }
}

@media screen and (max-width: 950px) {
    .fly-title-item {
        color: #736B02;
        text-decoration: underline;
        transition: .2s all ease-in-out;
    }

    .fly-title-:hover {
        color: #736B02;
        transition: .2s all ease-in-out;
    }

    .fly-img {
        cursor: grab;
    }

    .fly-img:active {
        cursor: grabbing;
    }
}

@media screen and (max-width: 850px) {
    .fly-item .fly-img {
        min-height: 257px;
    }

    .flies-step-categories .container {
        grid-template-columns: repeat(2, 1fr);
        padding: 0;
        gap: 30px 30px;
    }

    .fly-category-card {
        margin: auto;
    }
}

@media screen and (max-width: 768px) {
    /* .fly-item {
        width: calc(100% - 20px);
        margin-bottom: 20px;
        min-width: 250px;
    } */

    .fly-category-card {
        max-width: 270px;
        max-height: 270px;
    }
}

@media screen and (max-width: 680px) {
    .btn-return {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-left: 0;
    }
}

@media screen and (max-width: 650px) {
    .fly-item {
        width: calc(53.33% - 20px);
        flex: 0 0 calc(53.33% - 20px);
    }
}

@media screen and (max-width: 580px) {
    .fly-category-card {
        max-width: 220px;
        max-height: 220px;
    }
}

@media screen and (max-width: 550px) {
    .titles .files_extended-title {
        margin-bottom: 1rem;
        font-size: 1.5rem;
    }

    .container-fly {
        width: 100%;
    }
}

@media screen and (max-width: 475px) {
    .flies-step-categories .container {
        grid-template-columns: repeat(1, 1fr);
        padding: 0;
        gap: 30px 30px;
    }

    .fly-category-card {
        max-width: 270px;
        max-height: 270px;
    }
}

@media screen and (max-width: 460px) {
    .flies_title {
        margin-bottom: 2.063rem;
        font-size: 1.563rem;
    }

    .container-fly {
        margin-top: 0;
    }

    .fly-title {
        text-align: center;
    }

    .fly-title-item {
        font-size: 1rem;
    }

    .fly-img {
        min-height: 220px;
        min-width: 250px;
        width: 100%;
    }
}

@media screen and (max-width: 430px) {
    .fly-item {
        width: calc(73.33% - 20px);
        flex: 0 0 calc(73.33% - 20px);
    }


}

@media screen and (max-width: 400px) {
    .fly-img {
        min-width: 255px;
        min-height: 166px;
    }
}

@media screen and (max-width: 320px) {
    .fly-item {
        width: calc(93.33% - 20px);
        flex: 0 0 calc(93.33% - 20px);
    }
/* Estilos y mediaqueries del buscador */
.modal-searchbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999;
  }
  
  .modal-search {
    background: none;
    border: none;
    width: 100%;
    margin-left: 10px;
  }
  
  .results-container,
  .modal-results-container {
    width: 100%;
    max-width: 1265px;
  }
  
  .results-container .section-title,
  .modal-results-container .section-title {
    font-family: 'Nunito', sans-serif;
    font-size: 1.8rem;
  }
  
  .modal-content .container {
    max-width: 1265px;
    width: 100%;
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
    margin-top: 2.56rem;
  }
  
  .search-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
  
    border-radius: 15px;
    background: #F1F1F1;
    box-shadow: 0px 2px 10px 1px rgba(0, 0, 0, 0.25);
    border: none;
    width: 100%;
    padding: .44rem .63rem;
  }
  
  .modal-content {
    background: rgba(241, 241, 241, 0.95);
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    max-width: 1536px;
    max-height: 80%;
    width: 100%;
    overflow: auto;
    position: relative;
    display: flex;
    justify-content: flex-start;;
    align-items: center;
    flex-direction: column;
    margin: 2rem;
    gap: 3.75rem;
    position: relative;
  }
  
  .modal-content .modal-list {
    padding: 0;
    margin: 0;
    margin-left: 1rem;
  }
  
  .modal-content .modal-list .modal-link {
    color: #000;
    text-decoration: none;
    transition: .2s all ease-in-out;
  }
  
  .modal-content .modal-list .modal-link:hover {
    color: #736b02;
    transition: .2s all ease-in-out;
  }
  
  .modal-content .modal-list li {
    margin-bottom: 5px;
    color: #000;
    font-family: 'Nunito', sans-serif;
  }
  
  .item-title {
    text-decoration: underline;
  }
  
  .modal-content button.close-button {
    padding: 5px 10px;
    cursor: pointer;
    background-color: none;
    border: none;
    border-radius: 4px;
    font-size: 25px;
    color: #FF0000;
    background: none;
    margin-left: 2.5rem;
    transition: .2s all ease-in-out;
  }
  
  .modal-content button.close-button:hover {
    transition: .2s all ease-in-out;
    color: #d30303;
  }
  
  .scroll-to-top {
    position: fixed;
    bottom: 120px;
    /* right: 30px; */
    z-index: 1000;
    padding: 10px 15px;
    background-color: #736b02;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 25px;
    transition: .2s all ease-in-out;
    border-radius: 100%;
    box-shadow: 10px 10px 39px -2px rgba(0,0,0,0.25);
    -webkit-box-shadow: 10px 10px 39px -2px rgba(0,0,0,0.25);
    -moz-box-shadow: 10px 10px 39px -2px rgba(0,0,0,0.25);
    width: 50px;
    height: 50px;
  }
  
  .scroll-to-top:hover {
    background-color: #554f02;
    transition: .2s all ease-in-out;
  }
  
  /* RESPONSIVE */
  @media screen and (max-width: 1412px) {
    .results-container, .modal-results-container {
        max-width: 1240px;
        margin-left: 1rem;
    }
  }
  @media screen and (max-width: 800px) {
    .modal-content {
        gap: 1.8rem;
    }
  
    .modal-content .container {
        margin-top: 1.2rem;
    }
  }
  
  @media screen and (max-width: 380px) {
    .modal-content button.close-button {
        margin-left: .5rem;
        font-size: 20px;
    }
  
    .results-container .section-title,
    .modal-results-container .section-title  {
        font-size: 1.4rem;
    }
}

.modal-searchbox {
  display: none;
}
}

/* Estilos y mediaqueries del buscador */
.modal-searchbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999;
  }
  
  .modal-search {
    background: none;
    border: none;
    width: 100%;
    margin-left: 10px;
  }
  
  .results-container,
  .modal-results-container {
    width: 100%;
    max-width: 1265px;
  }
  
  .results-container .section-title,
  .modal-results-container .section-title {
    font-family: 'Nunito', sans-serif;
    font-size: 1.8rem;
  }
  
  .modal-content .container {
    max-width: 1265px;
    width: 100%;
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
    margin-top: 2.56rem;
  }
  
  .search-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
  
    border-radius: 15px;
    background: #F1F1F1;
    box-shadow: 0px 2px 10px 1px rgba(0, 0, 0, 0.25);
    border: none;
    width: 100%;
    padding: .44rem .63rem;
  }
  
  .modal-content {
    background: rgba(241, 241, 241, 0.95);
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    max-width: 1536px;
    max-height: 80%;
    width: 100%;
    overflow: auto;
    position: relative;
    display: flex;
    justify-content: flex-start;;
    align-items: center;
    flex-direction: column;
    margin: 2rem;
    gap: 3.75rem;
    position: relative;
  }
  
  .modal-content .modal-list {
    padding: 0;
    margin: 0;
    margin-left: 1rem;
  }
  
  .modal-content .modal-list .modal-link {
    color: #000;
    text-decoration: none;
    transition: .2s all ease-in-out;
  }
  
  .modal-content .modal-list .modal-link:hover {
    color: #736b02;
    transition: .2s all ease-in-out;
  }
  
  .modal-content .modal-list li {
    margin-bottom: 5px;
    color: #000;
    font-family: 'Nunito', sans-serif;
  }
  
  .item-title {
    text-decoration: underline;
  }
  
  .modal-content button.close-button {
    padding: 5px 10px;
    cursor: pointer;
    background-color: none;
    border: none;
    border-radius: 4px;
    font-size: 25px;
    color: #FF0000;
    background: none;
    margin-left: 2.5rem;
    transition: .2s all ease-in-out;
  }
  
  .modal-content button.close-button:hover {
    transition: .2s all ease-in-out;
    color: #d30303;
  }
  
  .scroll-to-top {
    position: fixed;
    bottom: 120px;
    /* right: 30px; */
    z-index: 1000;
    padding: 10px 15px;
    background-color: #736b02;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 25px;
    transition: .2s all ease-in-out;
    border-radius: 100%;
    box-shadow: 10px 10px 39px -2px rgba(0,0,0,0.25);
    -webkit-box-shadow: 10px 10px 39px -2px rgba(0,0,0,0.25);
    -moz-box-shadow: 10px 10px 39px -2px rgba(0,0,0,0.25);
    width: 50px;
    height: 50px;
  }
  
  .scroll-to-top:hover {
    background-color: #554f02;
    transition: .2s all ease-in-out;
  }
  
  /* RESPONSIVE */
  @media screen and (max-width: 1412px) {
    .results-container, .modal-results-container {
        max-width: 1240px;
        margin-left: 1rem;
    }
  }
  @media screen and (max-width: 800px) {
    .modal-content {
        gap: 1.8rem;
    }
  
    .modal-content .container {
        margin-top: 1.2rem;
    }
  }
  
  @media screen and (max-width: 380px) {
    .modal-content button.close-button {
        margin-left: .5rem;
        font-size: 20px;
    }
  
    .results-container .section-title,
    .modal-results-container .section-title  {
        font-size: 1.4rem;
    }
}

.modal-searchbox {
  display: none;
}

@media screen and (max-width: 320px) {
    .fly-item {
        width: calc(93.33% - 20px);
        flex: 0 0 calc(93.33% - 20px);
    }
}